Bug 233692 - update net-im/prosody to 0.11.1
Summary: update net-im/prosody to 0.11.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: David Thiel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-01 16:10 UTC by Sascha Biberhofer
Modified: 2019-01-29 23:18 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (lx)


Attachments
unified diff to update net-im/prosody to 0.11.1 (22.28 KB, patch)
2018-12-01 16:10 UTC, Sascha Biberhofer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2018-12-01 16:10:32 UTC
Created attachment 199711 [details]
unified diff to update net-im/prosody to 0.11.1

The attached patch should update the prosody port to 0.11.1.

This changes prosody's lua version to lua52, removes an unnecessary dependency and reworks the patches. The patch to util-src/time.c is due to https://issues.prosody.im/1251 and should be resolved in future releaes. I'm not sure about the pkg-plist file, so any feedback is greatly appreciated.


The package builds fine and is currently running on my own server w/o any issues as of yet.
Comment 1 David Thiel freebsd_committer 2018-12-04 22:45:15 UTC
Hello! Has this been tested with LuaJIT at all? That's one of the things that's been holding us back.
Comment 2 Sascha Biberhofer 2018-12-05 12:09:24 UTC
(In reply to David Thiel from comment #1)
Hi David! I've never used luajit and apparently completely skipped testing it. There's even a mistake in the luajit-dependency in the makefile. It builds once that is fixed, I'll at least give it a brief spin w/ luajit and post the fixed patch one that's done.
Comment 3 Sascha Biberhofer 2018-12-15 17:50:06 UTC
(In reply to David Thiel from comment #1)
Alright, after looking at this for some more time I'm uncertain on how to proceed from here:

- using prosody w/ luajit (kinda obviously) requires the lua-5.1 versions of various libraries to be installed.
- it seems difficult to use lua-5.2 by default and switch the deps to lua-5.1 if the luajit-option is selected.


Judging from the way lua-5.1 ports are currently handled, it might be for the best to

- remove luajit from the lua-5.2 version of prosody, switch to USES=lua instead of lua:52 explicitly
- add a prosody-51 and/or prosody-luajit port which pins USES to lua:51

Dropping luajit from the "main" port seems almost unavoidable as the prosody 0.11 series will be the last one to support lua 5.1. (see [1] ).

Meanwhile, I've received feedback that the non-luajit part works fine, even on freebsd-12.0, so at least that's ok.

Feedback would be welcome,
Sascha

[1] See the part about "Lua 5.2" on https://blog.prosody.im/prosody-0-11-0-released/
Comment 4 David Thiel freebsd_committer 2018-12-17 19:40:44 UTC
Thanks for looking into it. To avoid the churn of adding and removing a 5.1-specific prosody port, is there any compelling reason to not just leave the current port at 5.1, and when the next version is released, cut out luajit and convert solely to 5.2? 

AFAIK there's not a specific downside to 5.1 other than being a bit older.
Comment 5 commit-hook freebsd_committer 2019-01-29 23:16:08 UTC
A commit references this bug:

Author: lx
Date: Tue Jan 29 23:15:56 UTC 2019
New revision: 491602
URL: https://svnweb.freebsd.org/changeset/ports/491602

Log:
  Update to 0.11.2.

  PR:	233692
  Submitted by:	Sascha Biberhofer

Changes:
  head/net-im/prosody/Makefile
  head/net-im/prosody/distinfo
  head/net-im/prosody/files/patch-GNUmakefile
  head/net-im/prosody/files/patch-Makefile
  head/net-im/prosody/files/patch-configure
  head/net-im/prosody/files/patch-util-src_pposix.c
  head/net-im/prosody/files/patch-util-src_time.c
  head/net-im/prosody/pkg-plist
Comment 6 David Thiel freebsd_committer 2019-01-29 23:18:30 UTC
Committed with modifications:

- Update to 0.11.2
- Keep lua51
- Remove rc script from plist